Subject: deposit tuesday
From: "Patty and Mike Finan" <[email-masked]>
To: "Linda Wagner" <[email-masked]>, "Katy Parcells" <[email-masked]>
Date: Thu, 2 Feb 2006 14:01:38 -0500

Hi there,

I wanted to let you know I deposited $225 from donations in Betsy's name on Tuesday - 1/31. Glad I added the forwarding thing at the post office! Also, I'll be sending the lumber check down for $90 from Paul. 

Here's the take for the month of January - $50 deposit for an October 06 wedding. Also hours - please call if you have questions on anything. 

Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007